// Get the path of the currently running do-file
local do_file_path `c(pwd)'

// Change the working directory to the location of the do-file
cd "`do_file_path'"

clear

* species map image hi_qual mapscore imagescore
use "local\tab_data\Species Map Image Scores"
sort species
save "x0",replace

clear
* upazila period fish_number month day river questno year quantkg priceperkg species english_name minsal maxsal nameok meansal
import delimited "local\tab_data\Full_Catch_Record_With_Periods.csv"
bysort species: egen totquantkg=total(quantkg)
bysort species: egen meanprice=mean(priceperkg)
egen tid=tag(species)
keep if tid==1
drop tid
keep species english_name totquantkg meanprice minsal maxsal 
order species english_name totquantkg meanprice minsal maxsal 
sort species
save "z0",replace
merge 1:n species using "x0"
drop _merge
save "z01",replace


clear
import delimited "local\tab_data\GBIF_Econometric_Species.csv", varnames(1)
sort species
save "z1",replace
merge 1:n species using "z01"
keep if _merge==3
drop _merge 
replace totquantkg=round(totquantkg)
replace meanprice=round(meanprice)
gen mprice=1
replace mprice=2 if meanprice>200
replace mprice=3 if meanprice>500
order species english_name mprice meanprice totquantkg mapscore imagescore minsal maxsal map image hi_qual 
gsort mprice -totquantkg

label variable meanprice "Mean Wholesale Price (taka/kg)"
label variable totquantkg "Total Catch Quantity (kg)"
label variable maxsal "Maximum Salinity (ppt)"
save "local\tab_data\tbltbl01_GBIF_Species_With_Scores",replace

keep species english_name meanprice totquantkg maxsal
save "tables_rp\tbl01_GBIF_Species_With_Scores", replace

* export 
export excel "tables_rp\tbl01_GBIF_Species_With_Scores0.xlsx", firstrow(varlabels) replace
import excel using "tables_rp\tbl01_GBIF_Species_With_Scores0.xlsx", clear
export delimited using "tables_rp\tbl01_GBIF_Species_With_Scores.csv", novarnames replace

* Check if the file exists and then erase or display a message
erase "x0.dta"
erase "z0.dta"
erase "z01.dta"
erase "z1.dta"
erase "tables_rp\tbl01_GBIF_Species_With_Scores0.xlsx"