// Get the path of the currently running do-file
local do_file_path `c(pwd)'

// Change the working directory to the location of the do-file
cd "`do_file_path'"

clear

* clusterno adm1 y x v006 v012 v133 v151 v190 v457 bord b1 b4 b5 h11 h22 h31 hw57 hw70 hw71 hw72 hw73 year
use "local\tab_data\DHS_Salinity_Area_2000_2022"
keep if inlist(year,2018,2022)
rename v006 intvmonth
rename b1 month
rename b5 childalive
* rename h11 diarrhea
* rename h22 fever
* rename h31 cough
rename hw70 stuntingsd
rename hw71 weightagesd
rename hw72 wastingsd
rename hw73 bmisd
rename v133 mothered
rename v012 motherage
rename v190 wealth
rename bord birthorder

gen female=b4==2
gen hhnum=1*v151
gen malehead=hhnum==1
gen dchild=1*childalive
gen death=dchild==0
gen quarter=ceil(month / 3)

gen salmo=inlist(month,2,3,4,5,6)
gen pksalmo=inlist(month,3,4,5)

gen dmo2=inlist(month,9,10,11,12)

gen iquarter=ceil(intvmonth/3)

destring stuntingsd,replace force


gen ncough=1*h31
gen cough=ncough==2

gen nfever=1*h22
gen fever=nfever==1

gen ndiarrhea=1*h11
gen diarrhea=ndiarrhea==2


gen nadm1=""
replace nadm1="Barisal" if inlist(adm1,"BARISAL","Barishal","barisal")
replace nadm1="Dhaka" if inlist(adm1,"DHAKA","Dhaka","dhaka")
replace nadm1="Khulna" if inlist(adm1,"KHULNA","Khulna","khulna")

tab nadm1,gen(dadm)
tab year,gen(dy)
tab quarter,gen(dq)
tab wealth,gen(dw)
tab iquarter,gen(diq)


drop if mothered==99
drop if birthorder>10

gen ma5=ceil(motherage/5)
tab ma5,gen(dmage)

gen b2=birthorder^2

gen stunted=stuntingsd<-200

bysort year pksalmo: egen rdeath=mean(death)
bysort year pksalmo: egen rdiarrhea=mean(diarrhea)
bysort year pksalmo: egen rstunted=mean(stunted)

egen tid=tag(year pksalmo)
keep if tid==1
drop tid
keep year pksalmo rdeath rdiarrhea rstunted

sort year pksalmo

edit

label variable pksalmo "Peak Salinity Birth Month"
label variable year "Year"
label variable rdeath "Prob. Death"
label variable rdiarrhea "Prob. Diarrhea"
label variable rstunted "Prob. Stunted"

* Southwest coastal Bangladesh – peak salinity at birth and child morbidity/mortality3
save "tables_rp\tbl03_Peaksal_childmorb_and_mort", replace

* export 
export excel "tables_rp\tbl03_Peaksal_childmorb_and_mort0.xlsx", firstrow(varlabels) replace
import excel using "tables_rp\tbl03_Peaksal_childmorb_and_mort0.xlsx", clear
export delimited using "tables_rp\tbl03_Peaksal_childmorb_and_mort.csv", novarnames replace

* Check if the file exists and then erase or display a message
erase "tables_rp\tbl03_Peaksal_childmorb_and_mort0.xlsx"
* Check if the file exists and then erase or display a message
erase "w0.dta"
erase "w1.dta"
erase "w2.dta"
erase "w3.dta"
erase "w4.dta"
erase "x00.dta"
erase "x1.dta"
erase "y1.dta"
erase "y2.dta"
erase "y3.dta"
erase "y4.dta"
erase "y5.dta"
erase "y6.dta"
erase "z0.dta"
erase "z1.dta"
erase "z2.dta"