// Get the path of the currently running do-file
local do_file_path `c(pwd)'

// Change the working directory to the location of the do-file
cd "`do_file_path'"

clear

import delimited "`do_file_path'\local\tab_data\Bangladesh_Market_Fish_Full_Reference.csv", varnames(1) encoding(UTF-8) 
keep species
egen tid=tag(species)
keep if tid==1
drop tid 
sort species
save "x1",replace

clear
* upazila period fish_number month day river questno year quantkg priceperkg species english_name minsal maxsal nameok meansal
import delimited "`do_file_path'\local\tab_data\Full_Catch_Record_With_Periods.csv"
sort species
save "x00",replace

clear
use "x1"
merge 1:n species using "x00"
keep if _merge==3
drop _merge
egen specid=group(fish_number)
egen upzid=group(upazila)
sort upazila month species
save "z0",replace


egen tid=tag(specid)
keep if tid==1
keep specid species
sort specid
save "w0",replace

clear
use "z0"
gen count=1
collapse (sum) count,by(species)
rename count nobs
sort species
save "w1",replace


clear
import delimited "`do_file_path'\local\tab_data\Monthly Upazila Salinity.csv"
sort upazila month
by upazila: gen nsal1=msal[_n-1]
by upazila: gen nsal2=msal[_n-2]
by upazila: gen nsal3=msal[_n-3]
sort upazila month
save "z1",replace

merge 1:n upazila month using "z0"
drop _merge
sort upazila month species
drop if priceperkg==.
gen lprice=log(priceperkg)
gen lquant=log(quantkg)
gen lnsaln=log(msal)
gen lnsal1=log(nsal1)
gen lnsal2=log(nsal2)
gen lnsal3=log(nsal3)

gen quarter=ceil(month / 3)

tab species,gen(dsp)
tab month,gen(dmn)
tab upazila,gen(dup)
tab quarter,gen(dq)

replace lnsaln=lnsal2
* replace lnsaln=lnsal1+lnsal2+lnsal3

sort species
save "w2",replace

clear
import delimited "`do_file_path'\local\tab_data\Species_Price_Class.csv"
keep species mprice
sort species
merge 1:n species using "w2"
drop _merge
save "w3",replace

clear
forval i=1/3 {
use "w3"
keep if mprice==`i'
drop dsp*
tab species,gen(dsp)
local mp=mprice
di "`mp'"
reg lprice dup1 dup2 dup4 dup5 dsp* lnsaln
esttab using "`do_file_path'\local\tab_data\Appendix_Table2_Species_Price_Class`i'.csv", stats(r2_a) wide label replace
clear
}

erase "w0.dta"
erase "w1.dta"
erase "w2.dta"
erase "w3.dta"
erase "x00.dta"
erase "x1.dta"
erase "z0.dta"
erase "z1.dta"