// Figure (2b) Salinity readings

// Get the path of the currently running do-file
local do_file_path `c(pwd)'

// Change the working directory to the location of the do-file
cd "`do_file_path'"

clear

* station river x y date year month day time floodsal ebbsal
import delimited "`do_file_path'\local\tab_data\Bangladesh_River_Salinity_Data.csv", encoding(ISO-8859-2) 
replace station="Amtali" if station=="Amtoli"
replace station="Sarankhola" if station=="Sharankhola"

keep if inlist(station,"Khulna","Mongla","Sarankhola","Amtali","Galachipa")

keep if inlist(year,2020,2021,2022)
egen msal=rowmean(floodsal ebbsal)

collapse (mean) msal,by(station month)
* reshape wide msal,i(month) j(station) string
bysort station: egen minsal=min(msal)
bysort station: egen maxsal=max(msal)
egen tid=tag(station)
keep if tid==1
drop tid
keep station minsal maxsal

*reorder rows
gen station_order = .
replace station_order = 1 if station == "Khulna"
replace station_order = 2 if station == "Mongla"
replace station_order = 3 if station == "Sarankhola"
replace station_order = 4 if station == "Amtali"
replace station_order = 5 if station == "Galachipa"

format minsal maxsal %5.2f
sort station_order
drop station_order

outsheet station minsal maxsal using "`do_file_path'\tables_rp\vers2025-02-26\tbl02b_Station_MinMax_River Salinity.csv",comma replace
