// Figure 1 : Monthly mean salinity – Rupsha River, Khulna

// Get the path of the currently running do-file
local do_file_path `c(pwd)'

// Change the working directory to the location of the do-file
cd "`do_file_path'"

// data working directory
cd "`do_file_path'\local\tab_data"

clear

global vrs = "Khulna Amtali Galachipa Sarankhola Mongla"

foreach vr in $vrs {
clear
* station river x y date year month day time floodsal ebbsal
import delimited "`do_file_path'\local\tab_data\Bangladesh_River_Salinity_Data.csv", encoding(ISO-8859-2) 
replace station="Amtali" if station=="Amtoli"
replace station="Sarankhola" if station=="Sharankhola"

keep if station=="`vr'"
display "`vr'"
keep if inlist(year,2020,2021,2022)
egen msal=rowmean(floodsal ebbsal)

collapse (mean) msal,by(month)

label variable msal "Salinity"

* Create a new variable with month names
label define monthlbl 1 "January" 2 "February" 3 "March" 4 "April" 5 "May" 6 "June" ///
                      7 "July" 8 "August" 9 "September" 10 "October" 11 "November" 12 "December"
label values month monthlbl

* Create the line plot

twoway (line msal month) (scatter msal month), xlabel(1 "Jan" 2 "Feb" 3 "Mar" 4 "Apr" 5 "May" 6 "Jun" ///
                                   7 "Jul" 8 "Aug" 9 "Sep" 10 "Oct" 11 "Nov" 12 "Dec", labsize(small)) ///
               xtitle("Month", size(small) margin(small)) ///
               ytitle("Salinity (ppt)", size(small) margin(small)) ///
               legend(off)

// Change the working directory to the location of the do-file
cd "`do_file_path'\figures_rp\vers2025-02-26"
graph export "fig_03_`vr'_Monthly_Salinity.png",replace



}
