

reg0 <- read.csv(file.path(wkdir,'local','tab_data','Appendix_Table1_full_regression_output.csv')) %>%
  as.data.frame()

# remove row 1
reg0 <- reg0[2:67,]
colnames(reg0) <- c('var','parameter','tstatistic')
reg0$var[reg0$var=='=lnsaln'] <-'Log Salinity (ppt)'

reg0df <- reg0 %>%
  mutate(fish_number = (ifelse(str_detect(var, "group\\(fish_number\\)="), 
                              substring(var, 21, 22), 
                              NA)),
         upazilla_name = ifelse(str_detect(var, "upazila=="), 
                                substring(var, 11, nchar(var)), 
                                NA),
         row_id = as.numeric(row_number()))
  
reg0df[] <- lapply(reg0df, function(x) gsub("[=]", "", x))
reg0df$row_id <- as.numeric(reg0df$row_id)
reg0df$fish_number[is.na(reg0df$fish_number)] <- 9999
reg0df$fish_number <- as.numeric(reg0df$fish_number)
str(reg0df)

species_tbl <- read.csv(file.path(wkdir,'local','tab_data','Species IDs and Names.csv'))

# merge species name and common name by row
reg0df1 <- reg0df %>%
  left_join(species_tbl, by = c('fish_number' = 'specid')) %>%
  dplyr::rename(variable = species) %>%
  dplyr::mutate(variable = ifelse(!is.na(upazilla_name),upazilla_name,variable)) %>%
  dplyr::select(row_id,variable,english_name,parameter,tstatistic) %>%
  arrange(row_id)

# add
reg0df1$variable[is.na(reg0df1$variable)] <- reg0df$var[is.na(reg0df1$variable)]
# remove
excluded_species <- 'Tenualosa ilisha'
reg0df2 <- reg0df1 %>%
  dplyr::filter(!(variable==excluded_species)) %>%
  dplyr::filter(!(variable=='Sarankhola')) %>%
  mutate(english_name = replace(english_name, is.na(english_name), "")) %>%
  dplyr::select(-row_id) %>%
  as.data.frame()
  

#reg0df2_fn <- file.path(wkdir,'tables_rp','Appendix_Table1_Econometric_results_for_model.csv')
#write.table(reg0df2,reg0df2_fn,row.names=FALSE,sep=",",quote = TRUE)

reg0df2_fn <- file.path(wkdir,'tables_rp','Appendix_Table1_Econometric_results_for_model.xlsx')
openxlsx::write.xlsx(reg0df2, reg0df2_fn)

print(sprintf("footnote: (a) The dummy variable for %s has been excluded to prevent total collinearity",excluded_species))