
reg0 <- read.csv(file.path(wkdir,'local','tab_data','Appendix_Table2_Species_Price_Class2.csv')) %>%
  as.data.frame()

# remove row 1
reg0 <- reg0 %>%  slice(-1)
colnames(reg0) <- c('var','parameter','tstatistic')
reg0$var[reg0$var=='=lnsaln'] <-'Log Salinity (ppt)'

reg0df <- reg0 %>%
  mutate(row_id = as.numeric(row_number()))

reg0df[] <- lapply(reg0df, function(x) gsub("[=]", "", x))

reg0df <- reg0df%>%
  mutate(var = stringr::str_replace_all(var, "species", "")) %>%
  mutate(var = stringr::str_replace_all(var, "upazila", "")) %>%
  dplyr::mutate(var = ifelse(var=='r2_a','Adj. R2', var)) %>%
  dplyr::select(-row_id)

excluded_species <- reg0df%>%
  dplyr::filter(parameter==0) %>%
  dplyr::select(var) %>%
  pull()

reg1df <- reg0df %>%
 dplyr::filter(!(parameter==0))

# merge species name and common name by row
reg0df2 <- reg1df %>%
  dplyr::rename(variable = var)


reg0df2_fn <- file.path(wkdir,'tables_rp','Appendix_Table2_Econometric_results_for_model_medium_price.xlsx')
openxlsx::write.xlsx(reg0df2, reg0df2_fn)


paste("footnote: Non-collinear species included: ")
cat((paste(excluded_species,sep=" ")))