####################################
# global libraries used everywhere #
####################################

# Note: Using this with a specific version number may fail, since not all dependencies might be met.
# Debug interactively, then identify all installed packages that needed to be pinned.

# pkgTest <- function(x,y="")
# {
#   if (!require(x,character.only = TRUE))
#   {
#     if ( y == "" ) 
#     {
#       install.packages(x,dep=TRUE)
#     } else {
#       remotes::install_version(x, y)
#     }
#     if(!require(x,character.only = TRUE)) stop("Package not found")
#   }
#   return("OK")
# }


pkgTest <- function(x, version = "") {
  if (!x %in% rownames(installed.packages())) {
    if (version == "") {
      install.packages(x, dependencies = TRUE)
    } else {
      remotes::install_version(x, version)
    }
  }
  return("OK")
}


global.libraries <- c('sf','httr','utils','tools','stringr','Hmisc',
                      'readr','data.table','parallel','foreach',
					            'sf','foreign','nngeo',
                      'tidyr','renv','ggplot2','R.utils',
                      'RColorBrewer','ordinal',
                      'modelsummary','xfun','gt','stars','dplyr',
                      'XML','colourvalues','ggpubr','R.utils',
                      'patchwork','readstata13',
					  'exactextractr','ggplot2','ggpattern','readxl',
					  'purrr','openxlsx','spatialEco',"ggnewscale",
					  'basemaps')

print("caret and plyr cause incorrect dplyr: group by")
print("when loaded before dplyr")

results <- sapply(as.list(global.libraries), pkgTest)

url <- "https://download.r-forge.r-project.org/bin/windows/contrib/4.4/rgdal_1.6-7.zip"
install.packages(url, type="source", repos=NULL)

print(.libPaths())

print(sessionInfo())

print(version)

lapply(global.libraries, library, character.only = TRUE)